| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiFlatViewColTabEd Class Reference
uiFlatView

FlatView color table editor. More...

`#include <uiflatviewcoltabed.h>`

Inheritance diagram for uiFlatViewColTabEd:
[legend]

## Public Member Functions
| uiFlatViewColTabEd (uiColorTableToolBar &, bool enabmanage)
| ~uiFlatViewColTabEd ()
FlatView::DataDispPars::VD & | getDisplayPars ()
void | setColTab (const FlatView::DataDispPars::VD &)
void | setSensitive (bool yn)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< uiFlatViewColTabEd > | colTabChgd

## Protected Member Functions
void | colTabChanged (CallBacker *)

## Protected Attributes
uiColorTableToolBar & | uicoltab_
FlatView::DataDispPars::VD | vdpars_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

FlatView color table editor.

<>

## Constructor & Destructor Documentation

## ◆ uiFlatViewColTabEd()

uiFlatViewColTabEd::uiFlatViewColTabEd | ( | uiColorTableToolBar & | ,
|  | bool | enabmanage )

## ◆ ~uiFlatViewColTabEd()

uiFlatViewColTabEd::~uiFlatViewColTabEd | ( |  | ) |

## Member Function Documentation

## ◆ colTabChanged()

void uiFlatViewColTabEd::colTabChanged | ( | CallBacker * |  | ) |
| protected

## ◆ getDisplayPars()

FlatView::DataDispPars::VD & uiFlatViewColTabEd::getDisplayPars | ( |  | ) |
| inline

## ◆ setColTab()

void uiFlatViewColTabEd::setColTab | ( | const FlatView::DataDispPars::VD & |  | ) |

## ◆ setSensitive()

void uiFlatViewColTabEd::setSensitive | ( | bool | yn | ) |

## Member Data Documentation

## ◆ colTabChgd

Notifier<uiFlatViewColTabEd> uiFlatViewColTabEd::colTabChgd

## ◆ uicoltab_

uiColorTableToolBar& uiFlatViewColTabEd::uicoltab_
| protected

## ◆ vdpars_

FlatView::DataDispPars::VD uiFlatViewColTabEd::vdpars_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025